Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.53
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper
Class JasperException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.servlet.ServletException
                  org.apache.jasper.JasperException

All Implemented Interfaces:
  java.io.Serializable

    public class JasperException

extends javax.servlet.ServletException

Base class for all exceptions generated by the JSP engine. Makes it convienient to catch just this at the top-level.

Author:
  Anil K. Vijendran
See Also:
  Serialized Form

Constructor Summary
`JasperException(java.lang.String reason)`
`JasperException(java.lang.String reason, java.lang.Throwable exception)` Creates a JasperException with the embedded exception and the reason for throwing a JasperException
`JasperException(java.lang.Throwable exception)` Creates a JasperException with the embedded exception

Method Summary

Methods inherited from class javax.servlet.ServletException
`getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JasperException

    public JasperException(java.lang.String reason)

### JasperException

    public JasperException(java.lang.String reason,
                           java.lang.Throwable exception)

  Creates a JasperException with the embedded exception and the reason for throwing a JasperException

### JasperException

    public JasperException(java.lang.Throwable exception)

  Creates a JasperException with the embedded exception

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 6.0.53
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.